//
//  MockData.swift
//  PadelClub
//
//  Created by Razmig Sarkissian on 20/03/2024.
//

import Foundation

extension Court {
    static func mock() -> Court {
        Court(index: 0, club: "", name: "Test")
    }
}

extension Event {
    static func mock() -> Event {
        Event()
    }
}

extension Club {
    static func mock() -> Club {
        Club(name: "AUC", acronym: "AUC")
    }
    
    static func newEmptyInstance() -> Club {
        Club(name: "", acronym: "")
    }
}

extension GroupStage {
    static func mock() -> GroupStage {
        GroupStage(tournament: "", index: 0, size: 4)
    }
}

extension Round {
    static func mock() -> Round {
        Round(tournament: "", index: 0)
    }
}

extension Tournament {
    static func mock() -> Tournament {
        return Tournament(groupStageSortMode: .snake, teamSorting: .inscriptionDate, federalCategory: .men, federalLevelCategory: .p100, federalAgeCategory: .senior)
    }
}

extension Match {
    static func mock() -> Match {
        return Match(index: 0)
    }
}

extension TeamRegistration {
    static func mock() -> TeamRegistration {
        return TeamRegistration(tournament: "")
    }
}

extension PlayerRegistration {
    static func mock() -> PlayerRegistration {
        return PlayerRegistration(firstName: "Raz", lastName: "Shark", sex: .male)
    }
}
